# NSCoding

    public struct NSCoding<V> : FieldCoderType where V : NSObject, V : NSCoding

A `FieldCoderType` that implements encoding and decoding of `NSCoding` values

### FieldCoderType

- `FieldStoredValue`

  #### Declaration

  Swift

      public typealias FieldStoredValue = V

- `encodeToStoredData(_:)`

  #### Declaration

  Swift

      public static func encodeToStoredData(_ fieldValue: FieldStoredValue?) -> Data?

- `decodeFromStoredData(_:)`

  #### Declaration

  Swift

      public static func decodeFromStoredData(_ data: Data?) -> FieldStoredValue?